#include <iostream.h>
#include <assert.h>
#include "prot-a-LyStr.h"
#include "get_membership_q.h"
#include "connection.h"
#include "membership.h"
    
get_membership_question::get_membership_question(Connection *conn, 
						 Pers_no pno, Conf_no cno)
    : question(conn), membership(NULL)
{
    prot_a_LyStr   s;

    s << ref_no() << " 9 " << pno << ' ' << cno << '\n';
    port->send_question(s);
}


get_membership_question::~get_membership_question()
{
    if (membership != NULL)
	delete membership;
}


void
get_membership_question::parser(prot_a_LyStr &str)
{
    membership = new Membership(str);

    state = st_ok;
    deallocate_refno();
}


Membership
get_membership_question::result()
{
    return *membership;
}
