#include "get_text_q.h"
#include "connection.h"
#include "prot-a-LyStr.h"
#include <iostream.h>
#include <stdio.h>
#include <assert.h>

    
get_text_question::get_text_question(Connection *conn, 
				     Text_no text_no,
				     long    start_char=0,
				     long    end_char=LONG_MAX)
    : question(conn)
{
    prot_a_LyStr   s;

    s << ref_no() << " 25 " << text_no << ' ' 
      << start_char << ' ' << end_char << '\n';
    port->send_question(s);
}


get_text_question::~get_text_question()
{
}


void
get_text_question::parser(prot_a_LyStr &str)
{
    text = str.stos();
    state = st_ok;
    deallocate_refno();
}


LyStr
get_text_question::result()
{
    return text;
}
