#include <iostream.h>
#include <assert.h>
#include "prot-a-LyStr.h"
#include "question.h"
#include "connection.h"
#include "mark_as_read_q.h"

    
mark_as_read_question::mark_as_read_question(Connection *conn, 
					     Conf_no cno,
					     Local_text_no ltno)
    : question(conn)
{
    prot_a_LyStr   s;

    s << ref_no() << " 27 " << cno << ' ';
    s.append_array_start(1);
    s << ltno << ' ';
    s.append_array_end();
    s << '\n';

    port->send_question(s);
}


mark_as_read_question::~mark_as_read_question()
{
}


void
mark_as_read_question::parser(prot_a_LyStr& str)
{
    state = st_ok;
    deallocate_refno();
}


void
mark_as_read_question::result()
{
}
