#include "prot-a-LyStr.h"
#include "connection.h"
#include "time-utils.h"
#include "get_time_q.h"

get_time_question::get_time_question(Connection *conn)
    : question(conn)
{
    prot_a_LyStr b;
    b << ref_no() << ' ' << 35 << '\n';
    port->send_question(b);
}

get_time_question::~get_time_question()
{
}

void
get_time_question::parser(prot_a_LyStr& str)
{
    time_date = parse_time(str);
    state = st_ok;
    deallocate_refno();
}

struct tm get_time_question::result()
{
    return time_date;
}
