#include <iostream.h>
#include <assert.h>
#include <stdlib.h>
#include "prot-a-LyStr.h"
#include "get_unread_confs_q.h"
#include "connection.h"

    
get_unread_confs_question::get_unread_confs_question(Connection *conn, 
						     Pers_no pno)
    : question(conn), conf_no_list()
{
    prot_a_LyStr   s;

    s << ref_no() << " 52 " << pno << '\n';
    port->send_question(s);
}


get_unread_confs_question::~get_unread_confs_question()
{
}


void
get_unread_confs_question::parser(prot_a_LyStr &str)
{
    int   arrsize;
    int   i;

    arrsize = str.parse_array_start();
    if (arrsize < 0)
	abort();
    else {
	conf_no_list.set_size(arrsize);
	for (i = 0; i < arrsize; ++i) {
	    conf_no_list[i] = Conf_no(str.stol());
	}
    }
    str.parse_array_end(arrsize);

    state = st_ok;
    deallocate_refno();
}


Array<Conf_no>
get_unread_confs_question::result()
{
    return conf_no_list;
}
