#include <stdio.h>
#include <assert.h>
#include "prot-a-LyStr.h"
#include "who_am_i_q.h"
#include "connection.h"

    
who_am_i_question::who_am_i_question(Connection *conn)
    : question(conn)
{
    prot_a_LyStr   s;

    s << ref_no() << " 56 " << '\n';
    port->send_question(s);
}


who_am_i_question::~who_am_i_question()
{
}


void
who_am_i_question::parser(prot_a_LyStr &str)
{
    // +++ tty has a funny name!
    tty = str.stol();

    state = st_ok;
    deallocate_refno();
}


Session_no
who_am_i_question::result()
{
    return tty;
}
