#include <iostream.h>
#include <assert.h>
#include "prot-a-LyStr.h"
#include "question.h"
#include "connection.h"
#include "re_lookup_person_q.h"

    
re_lookup_person_question::re_lookup_person_question(Connection *conn,
						     const LyStr &pattern)
    : question(conn), matches()
{
    prot_a_LyStr   s;

    s << ref_no() << " 65 ";
    s.append_hollerith(pattern);
    s << '\n';
    port->send_question(s);
}


re_lookup_person_question::~re_lookup_person_question()
{
}


void
re_lookup_person_question::parser(prot_a_LyStr &str)
{
    int   arrsize;
    int   i;

    arrsize = str.parse_array_start();
    matches.set_size(arrsize);
    for (i = 0; i < arrsize; ++i) {
	matches[i] = str.stol();
    }
    str.parse_array_end(arrsize);

    state = st_ok;
    deallocate_refno();
}


Array<Pers_no>
re_lookup_person_question::result()
{
    return matches;
}
