#include <iostream.h>
#include <assert.h>
#include "prot-a-LyStr.h"
#include "question.h"
#include "connection.h"
#include "get_client_name_q.h"

    
get_client_name_question::get_client_name_question(Connection *conn, 
						   Session_no session)
    : question(conn)
{
    if (conn->get_server_info()->get_version() >= 10400) 
    {
	prot_a_LyStr   s;

	s << ref_no() << " 70 " << session << '\n';
	port->send_question(s);
    }
    else
    {
	receive_err(KOM_ANCIENT_SERVER);
    }
}

get_client_name_question::~get_client_name_question()
{
}


void
get_client_name_question::parser(prot_a_LyStr &str)
{
    name = str.stos();
    state = st_ok;
    deallocate_refno();
}


LyStr
get_client_name_question::result()
{
    return name;
}
