#include "error-hider.h"

template <class T>
Error_hider<T>::Error_hider(T result,
			 int errcode)
    : res(result), e_no(errcode)
{
}

template <class T>
Error_hider<T>::Error_hider(const Error_hider &e)
: res(e.res), e_no(e.e_no)
{
}


template <class T>
Error_hider<T>::operator =(const Error_hider &e) const
{
    res = e.res;
    e_no = e.e_no;
}

template <class T>
Error_hider<T>::operator T() const
{
    return T;
}

template <class T> int
Error_hider<T>::status() const
{
    return e_no;
}
