#include "kom-types.h"
#include "misc.h"
#include "map-cache.h"
#include "Conf_no.Text_mapping.CHMap.h"

Map_cache::Map_cache(const Conferences &c)
: m_conn(c.connection()), m_conf_cache(c.read_conf_cache()), mapmap()
{
}

Map_cache::Map_cache(const Map_cache&m)
{
    abort();
}

static Text_mapping bad_text_mapping;

Map_cache::Mtmap::Mtmap()
    : Conf_noText_mappingCHMap(bad_text_mapping, 50)
{
}

Map_cache& 
Map_cache::operator=(const Map_cache&m)
{
    abort();
}

Map_cache::~Map_cache()
{
}

void
Map_cache::clear()
{
    // +++ Not yet implemented.
}

Connection*
Map_cache::connection() const
{
    return m_conn;
}

 
Text_mapping
Map_cache::get(Conf_no cno)
{
    Text_mapping &r = mapmap[cno];
    if (!r.valid())
	r = Text_mapping(Conference(cno, m_conf_cache));
    return r;
}

Bool
Map_cache::Mtmap::present(Conf_no c) const
{
    return ((Map_cache::Mtmap*)this)->contains(c) ? TRUE : FALSE;
}

Text_mapping &
Map_cache::Mtmap::operator[](Conf_no c)
{
    return Conf_noText_mappingCHMap::operator[](c);
}
