#ifndef MAPS__
#define MAPS__

#include "kom-types.h"

class Conferences;
class Conf_cache;
class Connection;
class Map_cache;
class Text_mapping;

class Maps {
  public:
    Maps();
    Maps(const Conferences&);
    ~Maps();

    Maps & operator = (const Maps &);
    void set_conferences(const Conferences&);
    Connection *connection() const;
    
    Text_mapping operator[](Conf_no) const;

    Map_cache * read_map_cache() const;

  private:
    Map_cache *cache;
};
#endif
