#ifndef PROT_A_LYSTR
#define PROT_A_LYSTR

#include "LyStr.h"

class prot_a_LyStr : public LyStr {
  public:
    prot_a_LyStr();
    prot_a_LyStr(const char *c_str);
    prot_a_LyStr(void *block, int len);
    prot_a_LyStr(const prot_a_LyStr &);
    prot_a_LyStr(const LyStr &);

    long  stol();		// Extract a number, ignoring leading spaces
    LyStr stos();		// Extract a hollerith string
    void append_hollerith(const LyStr &str); // Append as hollerith

    int    parse_array_start();
    void   parse_array_end(int arrsize);
    void   append_array_start(int arrsize);
    void   append_array_end();
};
  
#endif
