#ifndef SERVER_INFO__
#define SERVER_INFO__

#include "kom-types.h"
#include "prot-a-LyStr.h"


class Server_info {
  private:
	long		version;
	Conf_no		conf_pres_conf; /* Presentation of new confs */
	Conf_no		pers_pres_conf;	/* Presentation of new persons */
	Conf_no		motd_conf; 	/* Conf that receive motds */
	Conf_no		kom_news_conf;  /* News about kom */
	Text_no		motd_of_lyskom; /* To be displayed after login */
	/* and maybe more... */
  public:
    Server_info();
    Server_info(const Server_info&);
    Server_info(prot_a_LyStr &str);
    ~Server_info();
    const Server_info &operator =(const Server_info &);

    long get_version();
    Conf_no   get_conf_pres_conf();
    Conf_no   get_pers_pres_conf();
    Conf_no   get_motd_conf();
    Conf_no   get_kom_news_conf();
    Text_no   get_motd_of_lyskom();
};
#endif
