#ifndef WHO_INFO_IDENT__
#define WHO_INFO_IDENT__

#include "kom-types.h"
#include "LyStr.h"

class Who_info_ident {
  public:
    Who_info_ident();
    Who_info_ident(const Who_info_ident&);
    const Who_info_ident &operator =(const Who_info_ident &);
  private:
    Pers_no		person;
    LyStr		what_am_i_doing;
    LyStr		username; /* Userid and hostname. */
    LyStr		ident_user; /* According to Ident protocol. */
    LyStr		hostname;   /* According to TCP/IP. */
    Conf_no		working_conference;
    Session_no	session_no;	/* Serial number of connection. */
};
#endif
