# Startup file for nilkom

set HOST kom.lysator.liu.se
set PORT 4894
if {$argc > 1} {set HOST [lindex $argv 1]}
if {$argc > 2} {set PORT [lindex $argv 2]}
if {$argc > 3} {puts "These arguments are ignored: [lrange $argv 3 end]"}

source $kom_library/komlib.tcl
source $kom_library/nilkom2.tcl
source $kom_library/nilkom_edit.tcl
source $kom_library/nilkom_cmd.tcl
source $kom_library/nilkom_print.tcl

print "Kopplar upp mot $HOST $PORT...\n"
connect $HOST $PORT
set nilkom_version {0.1}
kom_session set_client_version nilkom $nilkom_version

print "Loggar in...\n"
set komrcname [format "%s/.komrc" $env(HOME)]
if {[file exists $komrcname]} {
    set komfile [open $komrcname r]
    gets $komfile persno
    gets $komfile passwd
    
    if {! [kom_session login $persno $passwd]} {
	error "Inloggningen misslyckades. Kontrollera $komrcname"
    }
} else {
    print "Du mste skapa filen $komrcname innan du kan kra nilkom. Den ska\n"
    print "innehlla tv rader. P den frsta ska ditt LysKOM-personnummer\n"
    print "st, p den andra ditt lsenord.\n"
    error "$komrcname saknas"
}

set passwd ""
set to_mark_as_read {}
set input_line {}
set review_list {}
set keyhandler commandline

print_prompt
