provide tkom_commands_write
require tkom_write_window


# ================================================================


proc get_window_name {name} {
    set number 1

    while {[info commands "$name-#$number"] != ""} {
        incr number
    }

    return "$name-#$number"
}


# ================================================================
#                   The comment text command


proc comment_text {textno} {
    set wname [get_window_name .comment-$textno]
    global $wname

    set recips {}
    set i 0
    while {$i < [kom_text num_recipients $textno]} {
	append hline [format_recipient [kom_text recipient $textno $i]]
	lappend recips [recipient rec_no [kom_text recipient $textno $i]]
        incr i 1
    }
    set [set wname](recipients)  $recips
    set [set wname](comment_to)  $textno
    set [set wname](footnote_to) {}

    write_window $wname "Kommentar till text $textno"
    $wname.textf.text insert end "[kom_text subject $textno]\n"
}


# ================================================================
#                   The write text command


proc write_text {} {
    set wname [get_window_name .write]
    global $wname

    set recip [kom_unread current_conf]
    if {$recip < 1} {
	show_message "Du r inte nrvarande i ngot mte.\n"
	puts -nonewline "\a"; flush stdout
    } else {
	set i 0

	set [set wname](recipients)  $recip
	set [set wname](comment_to)  {}
	set [set wname](footnote_to) {}

	write_window $wname "Inlgg i [kom_conference name $recip]"
    }
}


# ================================================================
