#include <iostream.h>
#include <assert.h>
#include "prot-a-LyStr.h"
#include "question.h"
#include "connection.h"
#include "set_passwd_q.h"

    
set_passwd_question::set_passwd_question(Connection *conn, 
					 Pers_no pno, 
					 const LyStr &oldpwd, 
					 const LyStr &newpwd)
    : question(conn)
{
    prot_a_LyStr   s;

    s << ref_no() << " 8 " << pno << ' ';
    s.append_hollerith(oldpwd);
    s << ' ';
    s.append_hollerith(newpwd);
    s << '\n';

    port->send_question(s);
}


set_passwd_question::~set_passwd_question()
{
}


void
set_passwd_question::parser(prot_a_LyStr& str)
{
    state = st_ok;
    deallocate_refno();
}


void
set_passwd_question::result()
{
    return;
}
