#include <iostream.h>
#include <assert.h>
#include "prot-a-LyStr.h"
#include "question.h"
#include "connection.h"
#include "create_conf_q.h"
#include "conf-type.h"
    
create_conf_question::create_conf_question(Connection *conn, 
					   const LyStr &name,
					   Conf_type type)
    : question(conn), cno(0)
{
    prot_a_LyStr   s;

    s << ref_no() << " 10 ";
    s.append_hollerith(name);
    s << ' ';
    s << (type.is_protected() ? '0' : '1');
    s << (type.is_original()  ? '0' : '1');
    s << (type.is_secret()    ? '0' : '1');
    s << (type.is_letterbox() ? '0' : '1');
    s << '\n';

    port->send_question(s);
}


create_conf_question::~create_conf_question()
{
}


void
create_conf_question::parser(prot_a_LyStr& str)
{
    cno = str.stol();

    state = st_ok;
    deallocate_refno();
}


Conf_no
create_conf_question::result()
{
    return cno;
}
