#include <stdlib.h>
#include <iostream.h>
#include <assert.h>
#include "prot-a-LyStr.h"
#include "question.h"
#include "connection.h"
#include "get_marks_q.h"

    
get_marks_question::get_marks_question(Connection *conn)
    : question(conn), marks()
{
    prot_a_LyStr   s;

    s << ref_no() << " 23 " << '\n';
    port->send_question(s);
}


get_marks_question::~get_marks_question()
{
}


void
get_marks_question::parser(prot_a_LyStr &str)
{
    int   arrsize;
    int   i;

    arrsize = str.parse_array_start();
    if (arrsize < 0)
	abort();		// +++Error handling;
    else {
	marks.set_size(arrsize);
	for (i = 0; i < arrsize; ++i) {
	    marks[i].set_textno(str.stol());
	    marks[i].set_type(str.stol());
	}
    }
    str.parse_array_end(arrsize);


    state = st_ok;
    deallocate_refno();
}


Array<Mark>
get_marks_question::result()
{
    return marks;
}
