#include <iostream.h>
#include <stdio.h>
#include <assert.h>
#include "prot-a-LyStr.h"
#include "conf-stat.h"
#include "get_conf_stat_q.h"
#include "connection.h"
    
get_conf_stat_question::get_conf_stat_question(Connection *conn, 
					       Conf_no conf_no)
    : requested_conf_no(conf_no), the_conf(0), question(conn)
{
    prot_a_LyStr   b;

    assert(conf_no != 0);
    b << ref_no() << " 50 " << conf_no << '\n';
    port->send_question(b);
}


get_conf_stat_question::~get_conf_stat_question()
{
    if (the_conf != NULL)
	delete the_conf;
}


void
get_conf_stat_question::parser(prot_a_LyStr &str)
{
    the_conf = new Conf_stat(requested_conf_no, str);
    state = st_ok;
    deallocate_refno();
}


Conf_stat
get_conf_stat_question::result()
{
    assert(the_conf != NULL);
    assert(the_conf->valid());
    return *the_conf;
}
