#include <stdlib.h>
#include <assert.h>
#include "prot-a-LyStr.h"
#include "obsolete.h"
#include "connection.h"
    

who_is_on_question::who_is_on_question(Connection *conn)
    : question(conn), who_info_list()
{
    prot_a_LyStr   s;

    s << ref_no() << " 51\n";
    port->send_question(s);
}


who_is_on_question::~who_is_on_question()
{
}


void
who_is_on_question::parser(prot_a_LyStr &str)
{
    int   arrsize;
    int   i;

    arrsize = str.parse_array_start();
    if (arrsize < 0)
	abort();
    else {
	who_info_list.set_size(arrsize);
	for (i = 0; i < arrsize; ++i) {
	    who_info_list[i].parse(str);
	}
    }
    str.parse_array_end(arrsize);

    state = st_ok;
    deallocate_refno();
}


Array<Who_info>
who_is_on_question::result()
{
    return who_info_list;
}
