#ifndef MAP_CACHE__
#define MAP_CACHE__

#include "kom-types.h"
#include "misc.h"
#include "map-cache.h"
#include "Conf_no.Text_mapping.CHMap.h"

class Map_cache {
  public:
    Map_cache(const Conferences &c);
    Map_cache(const Map_cache&);
    Map_cache& operator=(const Map_cache&);
    ~Map_cache();

    // Methods working on the entire cache:
    void        clear();
    Connection *connection() const;

    // Methods working on individual conf-stats.
    Text_mapping   get(Conf_no cno);

  private:
    class Mtmap : private Conf_noText_mappingCHMap {
      public:
	Bool present(Conf_no p) const;
	Text_mapping &operator[](Conf_no p);
	Mtmap();
    };

    Connection  *m_conn;
    Conf_cache  *m_conf_cache;
    Mtmap        mapmap;
};

#endif
