#include "mark.h"

Mark::Mark()
    : text_no(0), mark_type(0)
{
}

Mark::Mark(const Mark &m)
    : text_no(m.text_no), mark_type(m.mark_type)
{
}

const Mark &
Mark::operator =(const Mark &m)
{
    text_no = m.text_no;
    mark_type = m.mark_type;
    return *this;
}


void
Mark::set_textno(Text_no tno)
{
    text_no = tno;
}

void
Mark::set_type(unsigned char type)
{
    mark_type = type;
}


Text_no
Mark::textno()
{
    return text_no;
}

unsigned char
Mark::type()
{
    return mark_type;
}

