#include "micro-conf.h"

Micro_conf::Micro_conf()
    : conf_no(0), type()
{
}

Micro_conf::Micro_conf(const Micro_conf &m)
    : conf_no(m.conf_no), type(m.type)
{
}

const Micro_conf &
Micro_conf::operator =(const Micro_conf &m)
{
    conf_no = m.conf_no;
    type = m.type;
    return *this;
}


void
Micro_conf::parse_conf_no(prot_a_LyStr &str)
{
    conf_no = str.stol();
}

void
Micro_conf::parse_conf_type(prot_a_LyStr &str)
{
    type = ::parse_conf_type(str); // +++This should be a member function!
}


Conf_no
Micro_conf::confno()
{
    return conf_no;
}
 
Conf_type
Micro_conf::conftype()
{
    return type;
}

