#ifndef MICRO_CONF__
#define MICRO_CONF__

#include "misc.h"
#include "conf-type.h"
#include "kom-types.h"
#include "prot-a-LyStr.h"


class Micro_conf {
  private:
    Conf_no     conf_no;
    Conf_type   type;

  public:
    Micro_conf();
    Micro_conf(const Micro_conf&);
    const Micro_conf &operator =(const Micro_conf &);

    void parse_conf_no(prot_a_LyStr &str); // +++Error handling??
    void parse_conf_type(prot_a_LyStr &str);

    Conf_no     confno();
    Conf_type   conftype();
};
#endif
