#ifndef SESSION_INFO_IDENT__
#define SESSION_INFO_IDENT__

#include <time.h>
#include "kom-types.h"
#include "LyStr.h"

class Session_info_ident {
  public:
    Session_info_ident();
    Session_info_ident(const Session_info_ident&);
    const Session_info_ident &operator =(const Session_info_ident &);
  private:
    Pers_no	person;
    LyStr	what_am_i_doing;
    LyStr	username; /* Userid and hostname,
			     according to the client. */
    LyStr	ident_user; /* According to Ident protocol. */
    LyStr	hostname;   /* According to TCP/IP. */
    Conf_no	working_conference;
    Session_no	session;	/* Serial number of connection. */
    struct tm	connection_time; /* Not logintime. */
    unsigned long idle_time; /* Seconds. */
};
#endif
