#ifndef SESSION_INFO__
#define SESSION_INFO__

#include <time.h>

#include "kom-types.h"
#include "LyStr.h"

class Session_info {
  public:
    Session_info();
    Session_info(const Session_info&);
    const Session_info &operator =(const Session_info &);
  private:
    Pers_no		person;
    LyStr		what_am_i_doing;
    LyStr		username;            /* Userid and hostname. */
    Conf_no		working_conference;
    Session_no	session;             /* Serial number of connection. */
    struct tm	connection_time;     /* Not logintime. */
    unsigned long		idle_time; 	     /* Seconds. */
};
#endif
