#ifndef WHO_INFO__
#define WHO_INFO__

#include "kom-types.h"
#include "LyStr.h"

class prot_a_LyStr;

class Who_info {
  public:
    Who_info();
    Who_info(const Who_info &);
    Who_info(prot_a_LyStr &prot_a_string);

    Who_info &operator =(const Who_info &);

    void  parse(prot_a_LyStr &prot_a_string);

    Session_no   session() const;
    Pers_no      pers_no() const;
    Conf_no      working_conf() const;

  private:
    Pers_no		person;
    LyStr		what_am_i_doing;
    LyStr		username; /* Userid and hostname. */
    Conf_no		working_conference;
    Session_no 		session_no;	/* Serial number of connection. */
};
#endif
