provide tkom_write_window


# ================================================================


proc write_window {w {title Textfnster} } {
    toplevel $w 
    frame $w.menu -relief raised -bd 2
    pack $w.menu -side top -fill x

    # File menu
    menubutton $w.menu.file -text "Arkiv   " -underline 0 \
	-menu $w.menu.file.m
    menu $w.menu.file.m
    $w.menu.file.m add command -label "Ls frn fil..." -underline 0 \
	-state disabled
    $w.menu.file.m add command -label "Spara" -underline 0 \
	-state disabled
    $w.menu.file.m add command -label "spara sOm..." -underline 7 \
	-state disabled
    $w.menu.file.m add separator
    $w.menu.file.m add command -label "Avbryt" \
	-underline 0 -accelerator C-xC-c \
	-command "destroy $w"
    pack $w.menu.file -side left

    # Text menu
    menubutton $w.menu.text -text "Text    " -underline 0 \
	-menu $w.menu.text.m
    menu $w.menu.text.m
    $w.menu.text.m add command -label "Addera mottagare..." -underline 0 \
	-state disabled
    $w.menu.text.m add command -label "Se det kommenterade" -underline 0 \
	-state disabled
    pack $w.menu.text -side left

    tk_menuBar $w.menu $w.menu.file $w.menu.text

    # The text frame, text and scrollbar
    frame $w.textf -relief sunken
    pack $w.textf -side top -fill x
    scrollbar $w.textf.textscroll -relief flat -command "$w.textf.text yview"
    text $w.textf.text -relief raised -bd 2 -height 15 \
	-yscrollcommand "$w.textf.textscroll set" -setgrid true
    pack $w.textf.textscroll -side right -fill y
    pack $w.textf.text -side left -expand TRUE -fill x

    button $w.sendbutton -text "Snd"     -command "send_text $w" \
	-width 12 -pady 2m
    button $w.cancelbutton -text "Avbryt" -command "dont_send_text $w" \
	-width 12 -pady 2m
    pack $w.sendbutton -side left -expand TRUE -anchor center
    pack $w.cancelbutton -side right -expand TRUE -anchor center

    wm title $w $title
    tkwait visibility $w

    focus $w.textf.text
}


proc send_text {w} {
    global $w

    set textmass     [$w.textf.text get 0.0 end]
    set recipients   [set [set w](recipients)]
    set comments_to  [set [set w](comment_to)]
    set footnotes_to [set [set w](footnote_to)]

    show_message [format "Text %d skapad.\n" \
      [kom_session create_text $textmass $recipients \
		               $comments_to $footnotes_to]]

    destroy $w
# +++ Delete the variable along with the window
}


proc dont_send_text {w} {
    show_message "Inlgget bortkastat\n"
    destroy $w
# +++ Delete the variable along with the window
}

